## net.metanotion.io.data
Class UTF8StringBytes

    java.lang.Object
      net.metanotion.io.data.UTF8StringBytes

All Implemented Interfaces:
  Serializer

    public class UTF8StringBytes

extends Object
implements Serializer

Added by I2P

Constructor Summary
`UTF8StringBytes()`

Method Summary
`Object` `construct(byte[] b)`
`byte[]` `getBytes(Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UTF8StringBytes

    public UTF8StringBytes()

Method Detail

### getBytes

    public byte[] getBytes(Object o)

  Specified by:
    `getBytes` in interface `Serializer`

### construct

    public Object construct(byte[] b)

  Specified by:
    `construct` in interface `Serializer`